# JarUnPacker
#### Версия: 2023.01.31
#### Автор: Александр Бабаев

## Описание
Проект Lazarus для распаковки / упаковки JAR файлов. Может распаковать jar файл, составив список, и упаковать jar файл по списку.

## Лицензия

### Определения

**JarUnPacker** (далее «_программа_» или «_продукт_») - программа и её исходный код, на которое распространяется данное соглашение.

**Конечный пользователь** (далее «_вы_» или «_пользователь_») - лицо и/или организация, которое(-ая) использует программу.

**Автор** - человек, написавший программу.

### ОГРАНИЧЕНИЯ

В некоторых государствах (районах, областях, штатах) не позволяется ограничение или исключение ответственности за непредвиденный ущерб. Если ваша страна (район, область, штат) не подразумевает ограничение или исключение ответственности за непредвиденный ущерб, то данное соглашение не может применяться к вам. В этом случае откажитесь от использования продукта.

В некоторых государствах (районах, областях, штатах) не позволяется исключение подразумеваемых гарантий. Если ваша страна (район, область, штат) не подразумевает исключение подразумеваемых гарантий, то данное соглашение не может применяться к вам. В этом случае откажитесь от использования продукта.

### ПРЕДМЕТ СОГЛАШЕНИЯ

Данное соглашение заключается между автором и пользователем и определяет отношения между ними, возникающие при загрузке и использовании программы.

### ЛИЦЕНЗИЯ

Файл распространяется по принципу «**AS-IS**» («**КАК ЕСТЬ**»). Администрация не несет **НИКАКОЙ ОТВЕТСТВЕННОСТИ** в случае нанесения данной программой физического, материального или любого другого вреда вам и вашему компьютеру. Вы на свой страх и риск загружаете программу. Администрация не несёт никакой ответственности за ошибки, неисправности (и т.п.), нанесенные программой вашему компьютеру.

Вы можете использовать данную программу на свое усмотрение, а также копировать и распространять со ссылкой на автора и сайт "https://babaev-an.ru/". Вам запрещается копировать, распространять продукт без ссылки на автора и указанный ранее сайт. Вам запрещается копирование и использование программы, если устанавливаемая вами копия файла не имеет ссылки на автора и указанный ранее сайт.

ЕСЛИ ВЫ ЗАГРУЖАЕТЕ, КОПИРУЕТЕ ФАЙЛ ИЛИ ИСПОЛЬЗУЕТЕ ЕГО КАКИМ-ЛИБО ДРУГИМ СПОСОБОМ, ЭТИМ ВЫ ПОДТВЕРЖДАЕТЕ СВОЕ СОГЛАСИЕ СОБЛЮДАТЬ УСЛОВИЯ ДАННОГО ЛИЦЕНЗИОННОГО СОГЛАШЕНИЯ С КОНЕЧНЫМ ПОЛЬЗОВАТЕЛЕМ. ЕСЛИ ВЫ НЕ СОГЛАСНЫ, НЕ УСТАНАВЛИВАЙТЕ, НЕ КОПИРУЙТЕ И НЕ ИСПОЛЬЗУЙТЕ ФАЙЛ.

### АВТОРСКОЕ ПРАВО

Авторское право на все копии файла принадлежат его автору и защищено законодательством РФ и ряда других стран.

### ОГРАНИЧЕННАЯ ГАРАНТИЯ И ПРАВОВАЯ ОГОВОРКА

Вам не дается никаких гарантий. Все ваши возможные требования, притязания и претензии (в том числе и по качеству) будут **НЕПРИЗНАННЫ**.

### ОГРАНИЧЕНИЕ ОТВЕТСТВЕННОСТИ

Вам не дается никаких обязательств. Все ваши возможные требования будут **НЕПРИЗНАННЫ**.

### Область использования
Программу можно использовать в коммерческой и не коммерческой деятельности.

## Использование

Для распаковки jar архива передайте селудующие параметры:
* `extract="Имя_JAR_файла"` - инициализация распаковки и задание файла для распаковки.
* `target="Имя_папки"` - папка извлечения.
* `listFile="Имя_файла_списка"` - имя файла для списка распакованных файлов.
Рассмотрим пример: вам надо распаковать файл `C:\demo\demo.jar` в папку `C:\extract_to\` и сохранить список распакованных файлов в файл `C:\demo\list.txt`
```
    jarunpacker.exe /extract="C:\demo\demo.jar" /target="C:\extract_to\" /listFile="C:\demo\list.txt"
```

Для упаковки jar архива передайте селудующие параметры:
* `compress="Имя_JAR_файла"` - инициализация упаковки и задание файла jar.
* `from="Имя_папки"` - папка с файлами.
* `filesList="Имя_файла_списка"` - имя файла для списка файлов для упаковки.
Рассмотрим пример: вам надо упаковать в файл `C:\demo\demo.jar` из папки `C:\extract_to\` по списку файлов из файла `C:\demo\list.txt`
```
    jarunpacker.exe /compress="C:\demo\demo.jar" /from="C:\extract_to\" /filesList="C:\demo\list.txt"
```